Subject: Re: [bug#38554] [PATCH 4/5] Add python2-fastentrypoints

From: Jesse Gibbons <[email-masked]>
Date: Sun, 15 Dec 2019 17:37:15 -0700

On Thu, 2019-12-12 at 18:18 +0100, zimoun wrote:
> Hi Jesse,
> 
> Thank you for your patches.
> 
> As you have maybe seen, I have file a bug [1] to track the Python
> packages and the end-of-file of Python 2. Here you add a new Python 2
> entry. My question is: do we absolutely need it?
> 
> I have seen your bug report about the broken Hy REPL and this series
> fixes it. My question is just: can we continue to add
> `package-with-python2` packages?
> 
> 
> All the best,
> simon
> 
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38420
This concern is why I added the python2 packages in separate patches
contrary to tradition. I wanted to know what others thought of it. We don't
necessarily need to add the python2 packages, especially when the repository
says this will be the last version of hy to support python2 and those
packages are only added to support hy in python2. I recommend you start a
discussion with Brett, who reviewed the patches and told me to combine patch
1 with 4 and 2 with 5. 
I have too much going on to create and send updated patches before Tuesday,
so I guess now is the time for such discussion.